com.holonplatform.vaadin.flow.internal

## Class DefaultViewComponentPropertyRenderer<T>

- java.lang.Object
- - com.holonplatform.vaadin.flow.internal.DefaultViewComponentPropertyRenderer<T>

- Type Parameters:
    `T` - Property type
  All Implemented Interfaces:
    com.holonplatform.core.property.PropertyRenderer<ViewComponent,T>

      @Priority(value=2147483647)
      public class DefaultViewComponentPropertyRenderer<T>
      extends Object
      implements com.holonplatform.core.property.PropertyRenderer<ViewComponent,T>

  Default `PropertyRenderer` to create `ViewComponent` type `Property` representations.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.property.PropertyRenderer

      `DEFAULT_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultViewComponentPropertyRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends ViewComponent>` | `getRenderType()`
    `ViewComponent` | `render(com.holonplatform.core.property.Property<? extends T> property)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.property.PropertyRenderer

      `create`

- - ### Constructor Detail

    - #### DefaultViewComponentPropertyRenderer

          public DefaultViewComponentPropertyRenderer()

  - ### Method Detail

    - #### getRenderType

          public Class<? extends ViewComponent> getRenderType()

      Specified by:
        `getRenderType` in interface `com.holonplatform.core.property.PropertyRenderer<ViewComponent,T>`

    - #### render

          public ViewComponent render(com.holonplatform.core.property.Property<? extends T> property)

      Specified by:
        `render` in interface `com.holonplatform.core.property.PropertyRenderer<ViewComponent,T>`

Copyright © 2020 The Holon Platform. All rights reserved.